Package gov.nasa.gsfc.sscweb.schema

# Class Satellite

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Satellite

public class Satellite extends Object
Satellite specification. <p>Java class for Satellite complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="Satellite"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="Id" type="{http://www.w3.org/2001/XMLSchema}string"/> <element name="BFieldTraceDirection" type="{http://sscweb.gsfc.nasa.gov/schema}BFieldTraceDirection" minOccurs="0"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected BFieldTraceDirection`
  `bFieldTraceDirection`
  Magnetic field tracing direction.
  `protected String`
  `id`
  Selected satellite identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Satellite()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BFieldTraceDirection`
  `getBFieldTraceDirection()`
  Magnetic field tracing direction.
  `String`
  `getId()`
  Selected satellite identifier.
  `void`
  `setBFieldTraceDirection(BFieldTraceDirection value)`
  Sets the value of the bFieldTraceDirection property.
  `void`
  `setId(String value)`
  Sets the value of the id property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    protected String id
    Selected satellite identifier.

  - ### bFieldTraceDirection

    protected BFieldTraceDirection bFieldTraceDirection
    Magnetic field tracing direction. This value is only required if magnetic field tracing is specified in a RegionCondition.

- ## Constructor Details

  - ### Satellite

    public Satellite()

- ## Method Details

  - ### getId

    public String getId()
    Selected satellite identifier.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getId()`

  - ### getBFieldTraceDirection

    public BFieldTraceDirection getBFieldTraceDirection()
    Magnetic field tracing direction. This value is only required if magnetic field tracing is specified in a RegionCondition.
    Returns:
      possible object is `BFieldTraceDirection`

  - ### setBFieldTraceDirection

    public void setBFieldTraceDirection(BFieldTraceDirection value)
    Sets the value of the bFieldTraceDirection property.
    Parameters:
      `value` - allowed object is `BFieldTraceDirection`
    See Also:
      - `getBFieldTraceDirection()`